Bug 19997 - падает с ошибкой *** buffer overflow detected ***: makeinfo terminated
: падает с ошибкой *** buffer overflow detected ***: makeinfo terminated
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/texinfo)
: unstable
: all Linux
: P3 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-05-10 18:03 by
Modified: 2009-05-22 13:26 (History)


Attachments
texi, который не конвертируется (422.95 KB, application/octet-stream)
2009-05-10 18:03, Sergey Y. Afonin
no flags Details
полный набор докментации в texi (121.17 KB, application/octet-stream)
2009-05-19 15:14, Sergey Y. Afonin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-05-10 18:03:58
Created an attachment (id=3525) [details]
texi, который не конвертируется

$ makeinfo  -DPROOF -I . -o mailfromd.info mailfromd.texi
*** buffer overflow detected ***: makeinfo terminated
======= Backtrace: =========

mailfromd.texi в аттаче. Проверил на Сизифе и на 4.1, пробовал апдейтить
texinfo до 4.13, результат не меняется. Автор mailfromd использует 4.13, у него
не проявляется. mailfromd.texi от очередного снапшота, более ранние у нас
обрабатываются нормально.
------- Comment #1 From 2009-05-17 01:28:34 -------
mailfromd.texi:27: @include `version.texi': No such file or directory.
mailfromd.texi:27: @include `rendition.texi': No such file or directory.
mailfromd.texi:27: @include `macros.texi': No such file or directory.
mailfromd.texi:27: @include `values.texi': No such file or directory.

Извините, нужен полный контекст.
------- Comment #2 From 2009-05-18 00:30:25 -------
Просьба проверить texinfo >= 4.13-alt3; если будет падать, то важно знать, на
какой архитектуре это происходит.
------- Comment #3 From 2009-05-18 15:34:39 -------
Падает. i586. Я так понимаю, doc/* уже не нужен ? Или приаттачить ?
------- Comment #4 From 2009-05-18 19:41:34 -------
(In reply to comment #3)
> Падает. i586. Я так понимаю, doc/* уже не нужен ? Или приаттачить ?

Или приатачить всё что нужно, или ссылку на коммит.
------- Comment #5 From 2009-05-19 15:14:27 -------
Created an attachment (id=3547) [details]
полный набор докментации в texi
------- Comment #6 From 2009-05-20 23:57:19 -------
Спасибо.
------- Comment #7 From 2009-05-21 02:32:31 -------
texinfo-4.13-alt5 -> sisyphus:

* Wed May 20 2009 Dmitry V. Levin <ldv@altlinux> 4.13-alt5

- makeinfo: Backported fixes from cvs (closes: #19997).
------- Comment #8 From 2009-05-22 13:26:01 -------
работает, спасибо. А в бранчи апдейт будет ?